## ibus-table-chinese 1.4.6-Source

=== debian/changelog ===
ibus-table-chinese (1.4.6-Source-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Update compat to 9, control with policy 3.9.4, no DM-Upload...

 -- Osamu Aoki <osamu@debian.org>  Sun, 15 Sep 2013 02:04:03 +0900

=== debian/control ===
Source: ibus-table-chinese
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Asias He <asias@debian.org>, LI Daobing <lidaobing@debian.org>
Build-Depends: debhelper (>= 9.0.0), cmake
Build-Depends-Indep: autotools-dev, ibus-table (>= 1.3.9.20110827), pkg-config
Standards-Version: 3.9.4
Homepage: http://code.google.com/p/ibus
Vcs-Git: git://git.debian.org/pkg-ime/ibus-table-chinese.git
Vcs-Browser: http://git.debian.org/?p=pkg-ime/ibus-table-chinese.git

Package: ibus-table-cangjie
Architecture: all
Depends: ${misc:Depends}, ibus-table-cangjie3, ibus-table-cangjie5, ibus-table-cangjie-big
Description: ibus-table input method: CangJie (dummy package)
 This is a dummy package for safe upgrade.
 .
 You can safely remove it from your system.

Package: ibus-table-cangjie3
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: ibus-table input method: CangJie3
 This package provide one input method: CangJie3.
 .
 CangJie3 is a Traditional Chinese input method, check more information at
 http://en.wikipedia.org/wiki/Cangjie_input_method .

Package: ibus-table-cangjie5
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: ibus-table input method: CangJie5
 This package provide one input method: CangJie5.
 .
 CangJie5 is a Traditional Chinese input method, check more information at
 http://en.wikipedia.org/wiki/Cangjie_input_method .

Package: ibus-table-cangjie-big
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: ibus-table input method: CangJie (big)
 This package provide one input method: CangJie (big).
 .
 CangJie (big) is a Traditional Chinese input method, check more information at
 http://en.wikipedia.org/wiki/Cangjie_input_method .

Package: ibus-table-cantonese
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: ibus-table input method: Cantonese
 This package provides one input methods: Cantonese

Package: ibus-table-cantonhk
Architecture: all
Replaces: ibus-table-cantonese
Conflicts: ibus-table-cantonese (<= 1.2.0.20100305-2)
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: ibus-table input method: Cantonhk
 This package provides one input methods: Cantonhk

Package: ibus-table-jyutping
Architecture: all
Section: utils
Replaces: ibus-table-cantonese
Conflicts: ibus-table-cantonese (<= 1.2.0.20100305-2)
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: ibus-table input method: Jyutping
 This package provides one input method: Jyutping
 .
 http://en.wikipedia.org/wiki/Jyutping

Package: ibus-table-easy
Architecture: all
Depends: ${misc:Depends}, ibus-table-easy-big
Description: ibus-table input method: Easy (dummy package)
 This is a dummy package for stable upgrade.
 .
 You can safely remove it from your system.

Package: ibus-table-easy-big
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: ibus-table input method: Easy (big)
 This package provide one input method: Easy (big).
 .
 Easy (big) is a Traditional Chinese input method.

Package: ibus-table-erbi
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: ibus-table input method: ErBi
 This package provide one input methods: ErBi
 .
 ErBi is a Simplified Chinese input method, check more information at
 http://zh.wikipedia.org/wiki/%E4%BA%8C%E7%AC%94%E8%BE%93%E5%85%A5%E6%B3%95 (in
 Chinese).

Package: ibus-table-erbi-qs
Architecture: all
Replaces: ibus-table-erbi
Conflicts: ibus-tabel-erbi (<= 1.2.0.20090901-1)
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: ibus-table input method: ErBi(QS)
 This package provide one input methods: ErBi(QS)
 .
 ErBi is a Simplified Chinese input method, check more information at
 http://zh.wikipedia.org/wiki/%E4%BA%8C%E7%AC%94%E8%BE%93%E5%85%A5%E6%B3%95 (in
 Chinese).

Package: ibus-table-quick
Architecture: all
Depends: ${misc:Depends}, ibus-table-quick3, ibus-table-quick5, ibus-table-quick-classic
Description: ibus-table input method: Quick (dummy package)
 This is a dummy package for stable upgrade.
 .
 You can safely remove it from your system.

Package: ibus-table-quick3
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: ibus-table input method: Quick3
 This package provide one input method: Quick3.
 .
 Quick3 is a Traditional Chinese input method.

Package: ibus-table-quick5
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: ibus-table input method: Quick5
 This package provide one input method: Quick5.
 .
 Quick5 is a Traditional Chinese input method.

Package: ibus-table-quick-classic
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: ibus-table input method: Quick Classic
 This package provide one input method: Quick Classic.
 .
 Quick Classic is a Traditional Chinese input method.

Package: ibus-table-scj6
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: ibus-table input method: Smart CangJie 6
 This package provide one input method: Smart CangJie 6.
 .
 Smart CangJie 6 is a Traditional Chinese input method, check more information
 at http://www.scj2000.com/ and http://www.scj2000.net/

Package: ibus-table-stroke5
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: ibus-table input method: Stroke5
 This package provides one input method: Stroke5.

Package: ibus-table-wubi
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: ibus-table input method: Wubi
 This package provide one input method: WuBi.
 .
 Wubi is a Chinese input method, check more information at
 http://en.wikipedia.org/wiki/Wubi_method .

Package: ibus-table-wu
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: ibus-table input method: Wu
 This package provides one input method: Wu.

Package: ibus-table-yong
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: ibus-table input method: YongMa
 This package provide one input method: YongMa.
 .
 YongMa is a Chinese input method, check more information at
 http://yong.uueasy.com/read.php?tid=218 .

Package: ibus-table-array30
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
Description: Array30 input method based on table engine of ibus
 This package provide one input method: Array30.
 .
 Array30 is a Chinese input method, check more information at
 http://zh.wikipedia.org/wiki/%E8%A1%8C%E5%88%97%E8%BC%B8%E5%85%A5%E6%B3%95 (in
 Chinese).

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@
override_dh_auto_configure:
	cmake . -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_VERBOSE_MAKEFILE=ON

=== debian/watch ===
version=3
opts=downloadurlmangle=s#.*(ibus-table-chinese-([\d.]+)-Source\.tar\.gz).*#http://ibus.googlecode.com/files/$1#,filenamemangle=s#.*(ibus-table-chinese-([\d.]+)-Source\.tar\.gz).*#$1# \
    http://code.google.com/p/ibus/downloads/list ^.*detail\?name=ibus-table-chinese-([\d.]+)\-Source.tar\.gz.*

## ibus-table-chinese 1.8.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6.2)

# Included scripts do automatic cmake_policy PUSH and POP.
# OLD: CMake policy in included script will affect the invoker.
# CMAKE_POLICY(SET CMP0011 OLD)

# Default CMAKE_INSTALL_PREFIX should be set before PROJECT()
SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "Install dir prefix")

# Whether to build on fedora
SET(CMAKE_FEDORA_ENABLE_FEDORA_BUILD "1" CACHE STRING "Enable fedora build")

# Message level INFO1 (5)
SET(MANAGE_MESSAGE_LEVEL 5 CACHE STRING "Message (Verbose) Level")

####################################################################
# Project specific information
#
PROJECT(ibus-table-chinese NONE)
SET(PRJ_SUMMARY "Chinese input tables for IBus")

SET(SUMMARY_TRANSLATIONS
    "zh_CN" "中文码表输入法"
    "zh_TW" "中文碼表輸入法"
    )

SET(PRJ_DESCRIPTION
"ibus-table-chinese is provides the infrastructure for Chinese input methods.
Input tables themselves are in subpackages."
    )

SET(DESCRIPTION_TRANSLATIONS
    "zh_TW" "ibus-table-chinese 提供了中文碼表輸入法的基礎架構。
    輸入法本身則在子套件裡。"
    )

SET(AUTHORS "Yuwei Yu, Caius 'kaio' Chance, Ding-Yi Chen")
SET(MAINTAINER "Ding-Yi Chen <dchen@redhat.com>")
SET(VENDOR "Red Hat, Inc")
SET(LICENSE "GPLv3+")
SET(PRJ_GROUP "System Environment/Libraries")
SET(BUILD_ARCH "noarch")
SET(RPM_SPEC_URL "http://code.google.com/p/ibus/")
SET(RPM_SPEC_SOURCES "https://fedorahosted.org/releases/c/m/%{name}/%{name}-%{version}-Source.tar.gz")

####################################################################
# Includes
#
LIST(INSERT CMAKE_MODULE_PATH 0 ${CMAKE_SOURCE_DIR}/Modules)

# Create a link if Modules/ does not exists
IF(EXISTS ${CMAKE_SOURCE_DIR}/cmake-fedora/Modules)
    IF(NOT EXISTS ${CMAKE_SOURCE_DIR}/Modules)
	EXECUTE_PROCESS(COMMAND ln -s ${CMAKE_SOURCE_DIR}/cmake-fedora/Modules .)
    ENDIF(NOT EXISTS ${CMAKE_SOURCE_DIR}/Modules)
ENDIF(EXISTS ${CMAKE_SOURCE_DIR}/cmake-fedora/Modules)

# Use standard FHS if Fedora build is not enabled
IF(NOT CMAKE_FEDORA_ENABLE_FEDORA_BUILD)
    IF(CMAKE_SYSTEM_PROCESSOR MATCHES "64")
	SET(LIB_DIR "${CMAKE_INSTALL_PREFIX}/lib64" CACHE PATH "Library dir")
    ELSE(CMAKE_SYSTEM_PROCESSOR MATCHES "64")
	SET(LIB_DIR "${CMAKE_INSTALL_PREFIX}/lib" CACHE PATH "Library dir")
    ENDIF(CMAKE_SYSTEM_PROCESSOR MATCHES "64")
    SET(LIBEXEC_DIR "${LIB_DIR}" CACHE PATH "LIBEXEC dir")
ENDIF(NOT CMAKE_FEDORA_ENABLE_FEDORA_BUILD)

INCLUDE(ManageEnvironment RESULT_VARIABLE MANAGE_ENVIRONMENT_PATH)
IF(MANAGE_ENVIRONMENT_PATH STREQUAL "NOTFOUND")
    MESSAGE(FATAL_ERROR "ManageEnvironment is not found in CMAKE_MODULE_PATH,
    please:
    1) git submodule init; git submodule update
    2) or install cmake-fedora/
    3) wget -P SOURCES https://fedorahosted.org/releases/c/m/cmake-fedora/cmake-fedora-modules-only-latest.tar.gz
    tar zxvf SOURCES/cmake-fedora-modules-only-latest.tar.gz")
ENDIF(MANAGE_ENVIRONMENT_PATH STREQUAL "NOTFOUND")

INCLUDE(ManageVersion)
RELEASE_NOTES_READ_FILE()
INCLUDE(ManageArchive)
INCLUDE(ManageFile)
INCLUDE(ManageSourceVersionControl)
INCLUDE(ManageTarget)
INCLUDE(ManageTranslation)
INCLUDE(ManageUninstall)
ENABLE_TESTING()

####################################################################
# Dependencies
#

INCLUDE(ManageDependency)
## Requires
MANAGE_DEPENDENCY(REQUIRES IBUS-TABLE VER "1.2.0" REQUIRED)

## Build Requires
MANAGE_DEPENDENCY(BUILD_REQUIRES CMAKE VER "2.6.2" REQUIRED)
MANAGE_DEPENDENCY(BUILD_REQUIRES IBUS-TABLE VER "1.2.0" REQUIRED DEVEL)
PRJ_INFO_CMAKE_APPEND(${PRJ_INFO_CMAKE} REQUIRES)
PRJ_INFO_CMAKE_APPEND(${PRJ_INFO_CMAKE} BUILD_REQUIRES)

####################################################################
# Building
#
ADD_SUBDIRECTORY(tables)

####################################################################
# Installing
#

MANAGE_SOURCE_VERSION_CONTROL_GIT()

INSTALL(FILES AUTHORS README ChangeLog COPYING DESTINATION ${PRJ_DOC_DIR})

####################################################################
# Packing
#

## Pack Source 
SET(SOURCE_ARCHIVE_DIR ${CMAKE_BINARY_DIR}/SOURCES CACHE PATH "Source Archive Dir")
PACK_SOURCE_ARCHIVE("${SOURCE_ARCHIVE_DIR}"
    GITIGNORE ${CMAKE_SOURCE_DIR}/.gitignore
    )

## Pack RPM
IF(CMAKE_FEDORA_ENABLE_FEDORA_BUILD)
    SET(RPM_BUILD_SOURCES ${SOURCE_ARCHIVE_DIR})
    INCLUDE(ManageRPM)
    PACK_RPM(SPEC_IN "SPECS/project.spec.in")
ENDIF(CMAKE_FEDORA_ENABLE_FEDORA_BUILD)

####################################################################
# Hosting and Release
#
# Set to "True" to build against updates-candidate if possible.

#INCLUDE(ManageUpload)
#ADD_CUSTOM_TARGET(upload
#    COMMENT "Uploading all files"
#    )

#MANAGE_UPLOAD_CMD(scp src UPLOAD_FILES ${SOURCE_ARCHIVE_FILE})
#ADD_DEPENDENCIES(upload upload_src)

INCLUDE(ManageRelease)
IF(CMAKE_FEDORA_ENABLE_FEDORA_BUILD)
    INCLUDE(ManageReleaseFedora)
    RELEASE_FEDORA(fedora el6)
    # "Off" Warning is displayed if mock is not installed.
    MANAGE_RELEASE(tag_push release_fedora)
ELSE(CMAKE_FEDORA_ENABLE_FEDORA_BUILD)
    MANAGE_RELEASE(tag_push)
ENDIF(CMAKE_FEDORA_ENABLE_FEDORA_BUILD)


####################################################################
# Test Suites.
#
#ADD_TEST("Test" test_cmd1)

=== tables/quick/CMakeLists.txt ===
CONVERT_DB(quick "quick3.txt" "quick5.txt" "quick-classic.txt")

=== tables/scj/CMakeLists.txt ===
CONVERT_DB(scj "scj6.txt")

=== tables/wubi-jidian/CMakeLists.txt ===
CONVERT_DB(wubi-jidian "wubi-jidian86.txt")

=== debian/changelog ===
ibus-table-chinese (1.8.2-3) unstable; urgency=medium

  * Team upload.
  * debian: Apply "wrap-and-sort -abst".
  * debian/control:
    + Bump Standards-Version to 4.2.1.
    + Bump debhelper compat to v11.
    + Update Homepage field to point to correct upstream project.
      (Closes: #856130).
    + Update maintainer email address and use debian-input-metho
      mailing list. (Closes: #899761).
    + Update Vcs-* fields and use the git repository on Debian Salsa
      platform.
  * debian/rules:
    + Use "dh_missing --fail-missing".
    + Generate a fakehome directory runtime to fix FTBFS.

 -- Boyuan Yang <byang@debian.org>  Thu, 27 Sep 2018 14:41:51 -0400

ibus-table-chinese (1.8.2-2) unstable; urgency=medium

  * Update uploaders.  Closes: #841799
  * Update upstream and VCS URLs.

 -- Osamu Aoki <osamu@debian.org>  Sat, 10 Dec 2016 23:42:18 +0900

ibus-table-chinese (1.8.2-1) unstable; urgency=medium

  * New upstream release.
  * Build with the old CMakeList.txt from 1.4.6-Source.

 -- Osamu Aoki <osamu@debian.org>  Sun, 26 Oct 2014 03:41:29 +0900

ibus-table-chinese (1.4.6-Source-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with ibus-table 1.9.1.
  * Update depends.  Closes: #724023

 -- Osamu Aoki <osamu@debian.org>  Fri, 24 Oct 2014 07:43:27 +0900

=== debian/control ===
Source: ibus-table-chinese
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Osamu Aoki <osamu@debian.org>,
Build-Depends:
 cmake,
 debhelper (>= 11),
Build-Depends-Indep:
 ibus-table (>= 1.9.1-1~),
 pkg-config,
Standards-Version: 4.2.1
Homepage: https://github.com/definite/ibus-table-chinese
Vcs-Git: https://salsa.debian.org/input-method-team/ibus-table-chinese.git
Vcs-Browser: https://salsa.debian.org/input-method-team/ibus-table-chinese

Package: ibus-table-array30
Architecture: all
Depends:
 ibus-table (>= 1.9.1-1~),
 ${misc:Depends},
Description: Array30 input method based on table engine of ibus
 This package provide one input method: Array30.
 .
 Array30 is a Chinese input method, check more information at
 http://zh.wikipedia.org/wiki/%E8%A1%8C%E5%88%97%E8%BC%B8%E5%85%A5%E6%B3%95 (in
 Chinese).

Package: ibus-table-cangjie
Architecture: all
Depends:
 ibus-table-cangjie-big,
 ibus-table-cangjie3,
 ibus-table-cangjie5,
 ${misc:Depends},
Description: ibus-table input method: CangJie (dummy package)
 This is a dummy package for safe upgrade.
 .
 You can safely remove it from your system.

Package: ibus-table-cangjie-big
Architecture: all
Depends:
 ibus-table (>= 1.9.1-1~),
 ${misc:Depends},
Description: ibus-table input method: CangJie (big)
 This package provide one input method: CangJie (big).
 .
 CangJie (big) is a Traditional Chinese input method, check more information at
 http://en.wikipedia.org/wiki/Cangjie_input_method .

Package: ibus-table-cangjie3
Architecture: all
Depends:
 ibus-table (>= 1.9.1-1~),
 ${misc:Depends},
Description: ibus-table input method: CangJie3
 This package provide one input method: CangJie3.
 .
 CangJie3 is a Traditional Chinese input method, check more information at
 http://en.wikipedia.org/wiki/Cangjie_input_method .

Package: ibus-table-cangjie5
Architecture: all
Depends:
 ibus-table (>= 1.9.1-1~),
 ${misc:Depends},
Description: ibus-table input method: CangJie5
 This package provide one input method: CangJie5.
 .
 CangJie5 is a Traditional Chinese input method, check more information at
 http://en.wikipedia.org/wiki/Cangjie_input_method .

Package: ibus-table-cantonese
Architecture: all
Depends:
 ibus-table (>= 1.9.1-1~),
 ${misc:Depends},
Description: ibus-table input method: Cantonese
 This package provides one input methods: Cantonese

Package: ibus-table-cantonhk
Architecture: all
Replaces:
 ibus-table-cantonese,
Breaks:
 ibus-table-cantonese (<= 1.2.0.20100305-2),
Depends:
 ibus-table (>= 1.9.1-1~),
 ${misc:Depends},
Description: ibus-table input method: Cantonhk
 This package provides one input methods: Cantonhk

Package: ibus-table-easy
Architecture: all
Depends:
 ibus-table-easy-big,
 ${misc:Depends},
Description: ibus-table input method: Easy (dummy package)
 This is a dummy package for stable upgrade.
 .
 You can safely remove it from your system.

Package: ibus-table-easy-big
Architecture: all
Depends:
 ibus-table (>= 1.9.1-1~),
 ${misc:Depends},
Description: ibus-table input method: Easy (big)
 This package provide one input method: Easy (big).
 .
 Easy (big) is a Traditional Chinese input method.

Package: ibus-table-erbi
Architecture: all
Depends:
 ibus-table (>= 1.9.1-1~),
 ${misc:Depends},
Description: ibus-table input method: ErBi
 This package provide one input methods: ErBi
 .
 ErBi is a Simplified Chinese input method, check more information at
 http://zh.wikipedia.org/wiki/%E4%BA%8C%E7%AC%94%E8%BE%93%E5%85%A5%E6%B3%95 (in
 Chinese).

Package: ibus-table-erbi-qs
Architecture: all
Replaces:
 ibus-table-erbi,
Breaks:
 ibus-tabel-erbi (<= 1.2.0.20090901-1),
Depends:
 ibus-table (>= 1.9.1-1~),
 ${misc:Depends},
Description: ibus-table input method: ErBi(QS)
 This package provide one input methods: ErBi(QS)
 .
 ErBi is a Simplified Chinese input method, check more information at
 http://zh.wikipedia.org/wiki/%E4%BA%8C%E7%AC%94%E8%BE%93%E5%85%A5%E6%B3%95 (in
 Chinese).

Package: ibus-table-jyutping
Architecture: all
Replaces:
 ibus-table-cantonese,
Breaks:
 ibus-table-cantonese (<= 1.2.0.20100305-2),
Depends:
 ibus-table (>= 1.9.1-1~),
 ${misc:Depends},
Description: ibus-table input method: Jyutping
 This package provides one input method: Jyutping
 .
 http://en.wikipedia.org/wiki/Jyutping

Package: ibus-table-quick
Architecture: all
Depends:
 ibus-table-quick-classic,
 ibus-table-quick3,
 ibus-table-quick5,
 ${misc:Depends},
Description: ibus-table input method: Quick (dummy package)
 This is a dummy package for stable upgrade.
 .
 You can safely remove it from your system.

Package: ibus-table-quick-classic
Architecture: all
Depends:
 ibus-table (>= 1.9.1-1~),
 ${misc:Depends},
Description: ibus-table input method: Quick Classic
 This package provide one input method: Quick Classic.
 .
 Quick Classic is a Traditional Chinese input method.

Package: ibus-table-quick3
Architecture: all
Depends:
 ibus-table (>= 1.9.1-1~),
 ${misc:Depends},
Description: ibus-table input method: Quick3
 This package provide one input method: Quick3.
 .
 Quick3 is a Traditional Chinese input method.

Package: ibus-table-quick5
Architecture: all
Depends:
 ibus-table (>= 1.9.1-1~),
 ${misc:Depends},
Description: ibus-table input method: Quick5
 This package provide one input method: Quick5.
 .
 Quick5 is a Traditional Chinese input method.

Package: ibus-table-scj6
Architecture: all
Depends:
 ibus-table (>= 1.9.1-1~),
 ${misc:Depends},
Description: ibus-table input method: Smart CangJie 6
 This package provide one input method: Smart CangJie 6.
 .
 Smart CangJie 6 is a Traditional Chinese input method, check more information
 at http://www.scj2000.com/ and http://www.scj2000.net/

Package: ibus-table-stroke5
Architecture: all
Depends:
 ibus-table (>= 1.9.1-1~),
 ${misc:Depends},
Description: ibus-table input method: Stroke5
 This package provides one input method: Stroke5.

Package: ibus-table-wu
Architecture: all
Depends:
 ibus-table (>= 1.9.1-1~),
 ${misc:Depends},
Description: ibus-table input method: Wu
 This package provides one input method: Wu.

Package: ibus-table-wubi
Architecture: all
Depends:
 ibus-table (>= 1.9.1-1~),
 ${misc:Depends},
Description: ibus-table input method: Wubi
 This package provide one input method: WuBi.
 .
 Wubi is a Chinese input method, check more information at
 http://en.wikipedia.org/wiki/Wubi_method .

Package: ibus-table-yong
Architecture: all
Depends:
 ibus-table (>= 1.9.1-1~),
 ${misc:Depends},
Description: ibus-table input method: YongMa
 This package provide one input method: YongMa.
 .
 YongMa is a Chinese input method, check more information at
 http://yong.uueasy.com/read.php?tid=218 .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# Building needs a writeable HOME dir
export HOME := $(CURDIR)/debian/fakehome

%:
	dh $@

override_dh_auto_configure:
	mkdir $(HOME) || true
	cmake . -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_VERBOSE_MAKEFILE=ON

override_dh_missing:
	dh_missing --fail-missing

override_dh_install:
	# unnecessary doc files
	rm -rf debian/tmp/usr/share/doc/ibus-table-chinese-1.8.2
	dh_install

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/ibus-table-chinese-$1.tar.gz/" \
  https://github.com/definite/ibus-table-chinese/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## ibus-table-chinese 1.8.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)

# Default CMAKE_INSTALL_PREFIX should be set before PROJECT()
SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "Install dir prefix")

####################################################################
# Project specific information
#
PROJECT(
ibus-table-chinese
VERSION 1.8.12
DESCRIPTION "Chinese input tables for IBus"
HOMEPAGE_URL http://mike-fabian.github.io/ibus-table/
LANGUAGES NONE # skip compiler checks, no compilers are needed
)
SET(PRJ_SUMMARY "Chinese input tables for IBus")

SET(PRJ_DESCRIPTION
"ibus-table-chinese is provides the infrastructure for Chinese input methods.
Input tables themselves are in subpackages."
    )

IF(CMAKE_SYSTEM_PROCESSOR MATCHES "64")
    SET(LIB_DIR "${CMAKE_INSTALL_PREFIX}/lib64" CACHE PATH "Library dir")
ELSE(CMAKE_SYSTEM_PROCESSOR MATCHES "64")
    SET(LIB_DIR "${CMAKE_INSTALL_PREFIX}/lib" CACHE PATH "Library dir")
ENDIF(CMAKE_SYSTEM_PROCESSOR MATCHES "64")
SET(LIBEXEC_DIR "${LIB_DIR}" CACHE PATH "LIBEXEC dir")
SET(DATA_DIR "/usr/share")

####################################################################
# Building
#
ADD_SUBDIRECTORY(tables)

####################################################################
# Installing
#
SET(PRJ_DOC_DIR "${DATA_DIR}/doc/ibus-table-chinese")
INSTALL(FILES AUTHORS README ChangeLog COPYING DESTINATION ${PRJ_DOC_DIR})

=== tables/CMakeLists.txt ===
FIND_PROGRAM(CREATE_DB ibus-table-createdb)
IF (CREATE_DB STREQUAL "CREATE_DB-NOTFOUND")
    MESSAGE(FATAL_ERROR "ibus-table-createdb is not installed")
ENDIF(CREATE_DB STREQUAL "CREATE_DB-NOTFOUND")

IF(NOT DEFINED DB_INSTALL_DIRECTORY)
    SET(DB_INSTALL_DIRECTORY "${DATA_DIR}/ibus-table/tables")
ENDIF(NOT DEFINED DB_INSTALL_DIRECTORY)

IF(NOT DEFINED DEFAULT_FREQ)
    SET(DEFAULT_FREQ 1000)
ENDIF(NOT DEFINED DEFAULT_FREQ)

IF(NOT DEFINED ICON_INSTALL_DIRECTORY)
    SET(ICON_INSTALL_DIRECTORY "${DATA_DIR}/ibus-table/icons")
ENDIF(NOT DEFINED ICON_INSTALL_DIRECTORY)

FIND_PROGRAM(SED_CMD sed)
IF(SED_CMD STREQUAL "SED_CMD-NOTFOUND")
    MESSAGE(FATAL_ERROR "sed is not found!")
ENDIF(SED_CMD STREQUAL "SED_CMD-NOTFOUND")

FIND_PROGRAM(ICONV_CMD iconv)
IF(ICONV_CMD STREQUAL "ICONV_CMD-NOTFOUND")
    MESSAGE(FATAL_ERROR "iconv is not found!")
ENDIF(ICONV_CMD STREQUAL "ICONV_CMD-NOTFOUND")

FIND_PROGRAM(AWK_CMD NAMES awk gawk)
IF(AWK_CMD STREQUAL "AWK_CMD-NOTFOUND")
    MESSAGE(FATAL_ERROR "awk or gawk is not found!")
ENDIF(AWK_CMD STREQUAL "AWK_CMD-NOTFOUND")

################################################################
# GENERATE_FREQ(outputFile inputFile)
#
MACRO(GENERATE_FREQ outputFile inputFile)
    ADD_CUSTOM_COMMAND(OUTPUT ${outputFile}
	COMMAND ${AWK_CMD} -F "\\t"
	"{ if (lastLine != $1) {lastLine=$1; freq=1000} else{ freq--}; printf(\"%s\\t%s\\t%d\\n\",$1,$2,freq)}"
	${inputFile} > ${outputFile}
	DEPENDS ${inputFile}
	COMMENT "Generate frequency information for ${outputFile}"
	VERBATIM
	)
ENDMACRO(GENERATE_FREQ outputFile inputFile)

################################################################
# MAKE_TABLE_SOURCE_TXT(outputFile inputFile1 [inputFile2 ....])
#
MACRO(MAKE_TABLE_SOURCE_TXT outputFile)
    ADD_CUSTOM_COMMAND(OUTPUT ${outputFile}
	COMMAND cat ${ARGN} > ${outputFile}
	DEPENDS ${ARGN}
	COMMENT "Making table source ${outputFile}"
	VERBATIM
	)
ENDMACRO(MAKE_TABLE_SOURCE_TXT outputFile)

ADD_CUSTOM_TARGET(convert_all ALL)

MACRO(CONVERT_DB targetName)
    SET(_dependDb "")
    SET(_dependIcon "")
    FOREACH(_tabFile ${ARGN})
	GET_FILENAME_COMPONENT(_tabName "${_tabFile}" NAME_WE)
	SET(_dbF "${_tabName}.db")
	ADD_CUSTOM_COMMAND(OUTPUT ${_dbF}
	    COMMAND ${CREATE_DB} -n ${_dbF} -s ${_tabFile}
	    DEPENDS ${_tabFile}
	    COMMENT "Building ${_tabName} table"
	    )
	LIST(APPEND _dependDb "${CMAKE_CURRENT_BINARY_DIR}/${_dbF}")
	IF(EXISTS "${CMAKE_SOURCE_DIR}/icons/${_tabName}.png")
	    LIST(APPEND _dependIcon "${CMAKE_SOURCE_DIR}/icons/${_tabName}.png")
	ENDIF(EXISTS "${CMAKE_SOURCE_DIR}/icons/${_tabName}.png")
	IF(EXISTS "${CMAKE_SOURCE_DIR}/icons/${_tabName}.svg")
	    LIST(APPEND _dependIcon "${CMAKE_SOURCE_DIR}/icons/${_tabName}.svg")
	ENDIF(EXISTS "${CMAKE_SOURCE_DIR}/icons/${_tabName}.svg")
	IF(EXISTS "${CMAKE_SOUREC_DIR}/icons/${_tabName}.gif")
	    LIST(APPEND _dependIcon "${CMAKE_SOURCE_DIR}/icons/${_tabName}.gif")
	ENDIF(EXISTS "${CMAKE_SOURCE_DIR}/icons/${_tabName}.gif")
	IF(EXISTS "${CMAKE_SOURCE_DIR}/icons/${_tabName}.jpg")
	    LIST(APPEND _dependIcon "${CMAKE_SOURCE_DIR}/icons/${_tabName}.jpg")
	ENDIF(EXISTS "${CMAKE_SOURCE_DIR}/icons/${_tabName}.jpg")
    ENDFOREACH(_tabFile ${ARGN})
    MESSAGE("[${targetName}] db files=${_dependDb}")

    ADD_CUSTOM_TARGET(convert_${targetName}
	COMMENT "Building ${targetName} table(s)..."
	DEPENDS ${_dependDb}
	)

    ADD_CUSTOM_TARGET(install_${targetName}
	COMMAND install ${_dependDb} ${DB_INSTALL_DIRECTORY}
	COMMAND install ${_dependIcon} ${ICON_INSTALL_DIRECTORY}
	COMMENT "Install ${targetName} table and icons"
	DEPENDS ${_dependDb}
	)

    ADD_DEPENDENCIES(convert_all convert_${targetName})
    #MESSAGE("_dependIcon=${_dependIcon}")

    INSTALL(FILES ${_dependDb}
	DESTINATION ${DB_INSTALL_DIRECTORY})
    INSTALL(FILES ${_dependIcon}
	DESTINATION ${ICON_INSTALL_DIRECTORY})
ENDMACRO(CONVERT_DB targetName)

ADD_SUBDIRECTORY(array)
ADD_SUBDIRECTORY(cangjie)
ADD_SUBDIRECTORY(cantonese)
ADD_SUBDIRECTORY(easy)
ADD_SUBDIRECTORY(erbi)
ADD_SUBDIRECTORY(quick)
ADD_SUBDIRECTORY(scj)
ADD_SUBDIRECTORY(stroke5)
ADD_SUBDIRECTORY(wu)
ADD_SUBDIRECTORY(wubi-haifeng)
ADD_SUBDIRECTORY(wubi-jidian)
ADD_SUBDIRECTORY(yong)

#CONVERT_DB(yong "yong/yong.txt")

=== debian/changelog ===
ibus-table-chinese (1.8.12-2) unstable; urgency=medium

  [ Gunnar Hjalmarsson ]
  * d/clean: Allow to build twice (closes: #1047346)

  [ Boyuan Yang ]
  * debian/control: Bump Standards-Version to 4.7.0.
  * debian/control: Update the hyperlink to Yong table. (Closes: #1067935)
  * The conversion of cangjie-based packages avoids duplicated files.
    (LP: #1094430)

 -- Boyuan Yang <byang@debian.org>  Fri, 19 Apr 2024 11:46:33 -0400

ibus-table-chinese (1.8.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 1.8.12.
  * Switch to new upstream maintained by mike-fabian.
  * debian/copyright: Minor update.
    + The copyright information needs further work.
  * Pending new binary packages:
    + ibus-table-cantonyale.
  * debian/control:
    + Add build-dependency cmake-fedora.
    + Convert ibus-table-cangjie to metapackage.
  * debian/rules:
    + Adjust to be compatible with cmake-fedora usage.
    + Use upstream RELEASE-NOTES.txt as changelog.
  * debian/patches: Dropped, not needed anymore.
  * debian/watch: Monitor new upstream by mike-fabian.
  * debian/docs: Dropped, not applicable for multi-package case.
  * debian/*.install: Partially install appdata.xml files for each
    binary package (needs further working).

 -- Boyuan Yang <byang@debian.org>  Fri, 17 Feb 2023 15:20:31 -0500

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders:
  Osamu Aoki <osamu@debian.org>,
 Build-Depends:
- cmake,
- debhelper (>= 11),
+ cmake (>> 3.0),
+ debhelper-compat (= 13),
 Build-Depends-Indep:
  ibus-table (>= 1.9.1-1~),
  pkg-config,
-Standards-Version: 4.2.1
-Homepage: https://github.com/definite/ibus-table-chinese
+Standards-Version: 4.7.0
+Homepage: https://github.com/mike-fabian/ibus-table-chinese
 Vcs-Git: https://salsa.debian.org/input-method-team/ibus-table-chinese.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/ibus-table-chinese
 
@@ -29,15 +29,18 @@
 
 Package: ibus-table-cangjie
 Architecture: all
+Section: metapackages
 Depends:
  ibus-table-cangjie-big,
  ibus-table-cangjie3,
  ibus-table-cangjie5,
  ${misc:Depends},
-Description: ibus-table input method: CangJie (dummy package)
- This is a dummy package for safe upgrade.
- .
- You can safely remove it from your system.
+Description: ibus-table input method: CangJie (metapackage)
+ This package depends on all CangJie-related input methods
+ provided by ibus-table-chinese project.
+ .
+ CangJie (big) is a Traditional Chinese input method, check more information at
+ http://en.wikipedia.org/wiki/Cangjie_input_method .
 
 Package: ibus-table-cangjie-big
 Architecture: all
@@ -78,7 +81,7 @@
  ibus-table (>= 1.9.1-1~),
  ${misc:Depends},
 Description: ibus-table input method: Cantonese
- This package provides one input methods: Cantonese
+ This package provides one input method: Cantonese
 
 Package: ibus-table-cantonhk
 Architecture: all
@@ -90,7 +93,15 @@
  ibus-table (>= 1.9.1-1~),
  ${misc:Depends},
 Description: ibus-table input method: Cantonhk
- This package provides one input methods: Cantonhk
+ This package provides one input method: Cantonhk
+
+#Package: ibus-table-cantonyale
+#Architecture: all
+#Depends:
+# ibus-table (>= 1.9.1-1~),
+# ${misc:Depends},
+#Description: ibus-table input method: Cantonyale
+# This package provides one input method: Cantonyale
 
 Package: ibus-table-easy
 Architecture: all
@@ -118,7 +129,7 @@
  ibus-table (>= 1.9.1-1~),
  ${misc:Depends},
 Description: ibus-table input method: ErBi
- This package provide one input methods: ErBi
+ This package provide one input method: ErBi
  .
  ErBi is a Simplified Chinese input method, check more information at
  http://zh.wikipedia.org/wiki/%E4%BA%8C%E7%AC%94%E8%BE%93%E5%85%A5%E6%B3%95 (in
@@ -134,7 +145,7 @@
  ibus-table (>= 1.9.1-1~),
  ${misc:Depends},
 Description: ibus-table input method: ErBi(QS)
- This package provide one input methods: ErBi(QS)
+ This package provide one input method: ErBi(QS)
  .
  ErBi is a Simplified Chinese input method, check more information at
  http://zh.wikipedia.org/wiki/%E4%BA%8C%E7%AC%94%E8%BE%93%E5%85%A5%E6%B3%95 (in
@@ -243,4 +254,4 @@
  This package provide one input method: YongMa.
  .
  YongMa is a Chinese input method, check more information at
- http://yong.uueasy.com/read.php?tid=218 .
+ https://yong.dgod.net/read.php?tid=4&fid=3 .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	# in-place configure due to upstream bugs
	cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=None \
	        -DCMAKE_INSTALL_SYSCONFDIR=/etc -DCMAKE_INSTALL_LOCALSTATEDIR=/var \
	        -DCMAKE_EXPORT_NO_PACKAGE_REGISTRY=ON \
	        -DCMAKE_FIND_PACKAGE_NO_PACKAGE_REGISTRY=ON \
	        -DCMAKE_INSTALL_RUNSTATEDIR=/run -DCMAKE_SKIP_INSTALL_ALL_DEPENDENCY=ON \
	        "-GUnix Makefiles" -DCMAKE_VERBOSE_MAKEFILE=ON \
	        -DCMAKE_INSTALL_LIBDIR=usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_installchangelogs:
	dh_installchangelogs -k RELEASE-NOTES.txt

## ibus-table-chinese 1.8.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.0.0)
+cmake_minimum_required(VERSION 3.12...4.0)
 
 # Default CMAKE_INSTALL_PREFIX should be set before PROJECT()
 SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "Install dir prefix")
@@ -8,7 +8,7 @@
 #
 PROJECT(
 ibus-table-chinese
-VERSION 1.8.12
+VERSION 1.8.14
 DESCRIPTION "Chinese input tables for IBus"
 HOMEPAGE_URL http://mike-fabian.github.io/ibus-table/
 LANGUAGES NONE # skip compiler checks, no compilers are needed

=== tables/CMakeLists.txt ===
--- 
+++ 
@@ -76,7 +76,7 @@
 	IF(EXISTS "${CMAKE_SOURCE_DIR}/icons/${_tabName}.svg")
 	    LIST(APPEND _dependIcon "${CMAKE_SOURCE_DIR}/icons/${_tabName}.svg")
 	ENDIF(EXISTS "${CMAKE_SOURCE_DIR}/icons/${_tabName}.svg")
-	IF(EXISTS "${CMAKE_SOUREC_DIR}/icons/${_tabName}.gif")
+	IF(EXISTS "${CMAKE_SOURCE_DIR}/icons/${_tabName}.gif")
 	    LIST(APPEND _dependIcon "${CMAKE_SOURCE_DIR}/icons/${_tabName}.gif")
 	ENDIF(EXISTS "${CMAKE_SOURCE_DIR}/icons/${_tabName}.gif")
 	IF(EXISTS "${CMAKE_SOURCE_DIR}/icons/${_tabName}.jpg")

=== tables/array/CMakeLists.txt ===
# Array30
SET(UUID "fe1125da-3bff-47b8-9aa7-d7586633ae4a")
SET(ICON_FILE "array30.png")
SET(TABLE_NAME_EN "Array30")
SET(TABLE_NAME_ZH "行列30")
SET(DESC "Array 30 Chinese input method.")

SET(ARRAY30_HEAD_IN "${CMAKE_CURRENT_SOURCE_DIR}/array30.head.in")
SET(ARRAY30_TAIL "${CMAKE_CURRENT_SOURCE_DIR}/array30.tail")

SET(ARRAY30_BASE "${CMAKE_CURRENT_BINARY_DIR}/array30")
SET(ARRAY30_BASE_UTF8 "${ARRAY30_BASE}.utf8")
SET(ARRAY30_BASE_FREQ "${ARRAY30_BASE}.freq")
SET(ARRAY30_BASE_TABLE "${ARRAY30_BASE}.tab")
SET(ARRAY30_BASE_HEAD "${ARRAY30_BASE}.head")

CONFIGURE_FILE(${ARRAY30_HEAD_IN} ${ARRAY30_BASE_HEAD} @ONLY)

MAKE_TABLE_SOURCE_TXT(
    ${CMAKE_CURRENT_BINARY_DIR}/array30.utf8
    ${CMAKE_SOURCE_DIR}/tables/array/array30_27489.txt)
GENERATE_FREQ(${ARRAY30_BASE_FREQ}
    ${ARRAY30_BASE_UTF8}
    )

MAKE_TABLE_SOURCE_TXT(${ARRAY30_BASE_TABLE}
    ${ARRAY30_BASE_HEAD} ${ARRAY30_BASE_FREQ} ${ARRAY30_TAIL}
    )

# Array30-big
SET(UUID "3c28e5f1-0885-486e-8d15-b13680b9a44c")
SET(ICON_FILE "array30-big.png")
SET(TABLE_NAME_EN "Array30BigTable")
SET(TABLE_NAME_ZH "行列30大字集")
SET(DESC "Array 30 Chinese input method that include unicode Ext B.")

SET(ARRAY30_BIG "${CMAKE_CURRENT_BINARY_DIR}/array30-big")
SET(ARRAY30_BIG_UTF8 "${ARRAY30_BIG}.utf8")
SET(ARRAY30_BIG_FREQ "${ARRAY30_BIG}.freq")
SET(ARRAY30_BIG_TABLE "${ARRAY30_BIG}.tab")
SET(ARRAY30_BIG_HEAD "${ARRAY30_BIG}.head")

CONFIGURE_FILE(${ARRAY30_HEAD_IN} ${ARRAY30_BIG_HEAD} @ONLY)

SET(ARRAY30_EXT_B_UTF8 ${CMAKE_CURRENT_BINARY_DIR}/array30_ExtB.utf8)
MAKE_TABLE_SOURCE_TXT(
    ${CMAKE_CURRENT_BINARY_DIR}/array30_ExtB.utf8
    ${CMAKE_SOURCE_DIR}/tables/array/array30_ExtB.txt)

SET(ARRAY30_EXT_CD_UTF8 ${CMAKE_CURRENT_BINARY_DIR}/array30_ExtCD.utf8)
MAKE_TABLE_SOURCE_TXT(
    ${CMAKE_CURRENT_BINARY_DIR}/array30_ExtCD.utf8
    ${CMAKE_SOURCE_DIR}/tables/array/array30_ExtCD_V2012A.txt)

MAKE_TABLE_SOURCE_TXT(
    ${ARRAY30_BIG_UTF8}
    ${ARRAY30_BASE_UTF8}
    ${ARRAY30_EXT_B_UTF8}
    ${ARRAY30_EXT_CD_UTF8})

GENERATE_FREQ(${ARRAY30_BIG_FREQ}
    ${ARRAY30_BIG_UTF8}
    )

MAKE_TABLE_SOURCE_TXT(${ARRAY30_BIG_TABLE}
    ${ARRAY30_BIG_HEAD} ${ARRAY30_BIG_FREQ} ${ARRAY30_TAIL}
    )

CONVERT_DB(array ${ARRAY30_BASE_TABLE} ${ARRAY30_BIG_TABLE})

=== tables/cantonese/CMakeLists.txt ===
CONVERT_DB(cantonese
    "${CMAKE_SOURCE_DIR}/tables/cantonese/cantonese.txt"
    "${CMAKE_SOURCE_DIR}/tables/cantonese/cantonhk.txt"
    "${CMAKE_SOURCE_DIR}/tables/cantonese/cantonyale.txt"
    "${CMAKE_SOURCE_DIR}/tables/cantonese/jyutping.txt")

=== tables/easy/CMakeLists.txt ===
CONVERT_DB(easy "${CMAKE_SOURCE_DIR}/tables/easy/easy-big.txt")

=== tables/erbi/CMakeLists.txt ===
CONVERT_DB(erbi
    "${CMAKE_SOURCE_DIR}/tables/erbi/erbi.txt"
    "${CMAKE_SOURCE_DIR}/tables/erbi/erbi-qs.txt")

=== tables/quick/CMakeLists.txt ===
CONVERT_DB(quick
    "${CMAKE_SOURCE_DIR}/tables/quick/quick3.txt"
    "${CMAKE_SOURCE_DIR}/tables/quick/quick5.txt"
    "${CMAKE_SOURCE_DIR}/tables/quick/quick-classic.txt")

=== tables/stroke5/CMakeLists.txt ===
CONVERT_DB(stroke5 "${CMAKE_SOURCE_DIR}/tables/stroke5/stroke5.txt")

=== tables/wu/CMakeLists.txt ===
CONVERT_DB(wu "${CMAKE_SOURCE_DIR}/tables/wu/wu.txt")

=== tables/wubi-haifeng/CMakeLists.txt ===
# wubi-haifeng
# It takes very long to generate the table from scratch
#ADD_CUSTOM_COMMAND(OUTPUT wubi-haifeng86.UTF-8
#    COMMAND convertTable.sh
#    COMMENT "Building wubi-haifeng86.UTF-8"
#    )

MAKE_TABLE_SOURCE_TXT(${CMAKE_CURRENT_BINARY_DIR}/wubi-haifeng86.txt
    ${CMAKE_SOURCE_DIR}/tables/wubi-haifeng/wubi-haifeng86.head
    ${CMAKE_SOURCE_DIR}/tables/wubi-haifeng/wubi-haifeng86.UTF-8
    ${CMAKE_SOURCE_DIR}/tables/wubi-haifeng/wubi-haifeng86.tail)
CONVERT_DB(wubi-haifeng "${CMAKE_CURRENT_BINARY_DIR}/wubi-haifeng86.txt")

=== tables/wubi-jidian/CMakeLists.txt ===
CONVERT_DB(wubi-jidian "${CMAKE_SOURCE_DIR}/tables/wubi-jidian/wubi-jidian86.txt")

=== tables/yong/CMakeLists.txt ===
CONVERT_DB(yong "${CMAKE_SOURCE_DIR}/tables/yong/yong.txt")

=== debian/changelog ===
ibus-table-chinese (1.8.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #1113000)
  * debian/rules: Do not override cmake configure step anymore.
  * debian/watch: Update to version 5.

 -- Boyuan Yang <byang@debian.org>  Mon, 03 Nov 2025 11:02:18 -0500

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,13 @@
  debhelper-compat (= 13),
 Build-Depends-Indep:
  ibus-table (>= 1.9.1-1~),
- pkg-config,
-Standards-Version: 4.7.0
+ pkgconf,
+Standards-Version: 4.7.2
 Homepage: https://github.com/mike-fabian/ibus-table-chinese
 Vcs-Git: https://salsa.debian.org/input-method-team/ibus-table-chinese.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/ibus-table-chinese
+Description: Various Chinese input methods based on table engine of ibus
+ These packages provide input methods based on the table input engine for IBus.
 
 Package: ibus-table-array30
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs -k RELEASE-NOTES.txt

=== debian/watch ===
Version: 5

Source: https://github.com/mike-fabian/ibus-table-chinese/tags
Matching-Pattern: (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
Filenamemangle: s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%
